Name:          gypsy
Version:       0.8
Release:       %mkrel 7
Summary:       A GPS multiplexing daemon

Group:         System/Libraries
# See LICENSE file for details
License:       LGPLv2 and GPLv2
URL:           http://gypsy.freedesktop.org/
Source0:       http://gypsy.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch0:	       gypsy-0.8-gcc46.patch
Patch1:	       gypsy-CVE-2011-0523.patch
Patch2:	       gypsy-CVE-2011-0524.patch
Patch3:	       gypsy-0.8-format-strings.patch
Patch4:        gypsy-0.8-automake-1.13.patch

BuildRequires: bluez-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: gtk-doc
BuildRequires: libxslt-devel

Requires: dbus

%description
Gypsy is a GPS multiplexing daemon which allows multiple clients to 
access GPS data from multiple GPS sources concurrently. 

%files
%doc AUTHORS COPYING COPYING.lib LICENSE
%{_sysconfdir}/gypsy.conf
%{_sysconfdir}/dbus-1/system.d/Gypsy.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.Gypsy.service
%{_libexecdir}/gypsy-daemon


#--------------------------------------------------------------------

%define libgypsy_major 0
%define libgypsy %mklibname gypsy %{libgypsy_major}

%package -n %{libgypsy}
Summary:   A GPS multiplexing daemon
Group: System/Libraries

%description -n %{libgypsy}
A GPS multiplexing daemon

%files -n %{libgypsy}
%{_libdir}/libgypsy.so.%{libgypsy_major}*

#--------------------------------------------------------------------

%package devel
Summary: Development package for gypsy
Group:    Development/Other
Requires: %{name} = %{version}-%{release}
Requires: dbus-glib-devel
Requires: pkgconfig
Requires: %{libgypsy} = %{version}-%{release}
%description devel
Header files for development with gypsy.

%files devel
%{_libdir}/pkgconfig/gypsy.pc
%{_includedir}/gypsy
%{_libdir}/libgypsy.so

#--------------------------------------------------------------------

%package docs
Summary: Documentation files for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%files docs
%doc %{_datadir}/gtk-doc/html/gypsy

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build

autoreconf -fi

%configure --disable-static
%make CFLAGS="%{optflags} -Wno-error=deprecated-declarations"

%install
rm -rf %{buildroot}
%makeinstall_std
rm %{buildroot}%{_libdir}/libgypsy.la

%clean
rm -rf %{buildroot}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.8-7.mga4
+ Revision: 505405
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.8-6.mga3
+ Revision: 353063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.8-5.mga3
+ Revision: 339124
- patch4: fix build with automake 1.13

* Sun Oct 14 2012 ennael <ennael> 0.8-4.mga3
+ Revision: 305434
- Documentation group

* Wed Aug 08 2012 luigiwalser <luigiwalser> 0.8-3.mga3
+ Revision: 280060
- update patch 4 to fix another format string error
- modify CVE-2011-0524 patch to fix format errors
- add patch from OpenSuSE to fix unused var gcc error (patch 1)
- add patches from upstream via OpenSuSE to fix CVE-2011-052[34] (patches 2/3)
- add patch to fix format string gcc errors (patch 4)

* Thu Mar 24 2011 boklm <boklm> 0.8-2.mga1
+ Revision: 76153
- rebuild for bug #497

* Mon Mar 07 2011 dmorgan <dmorgan> 0.8-1.mga1
+ Revision: 66274
- Clean spec file
- imported package gypsy


* Tue Sep 7 2010 Peter Robinson <pbrobinson@gmail.com> 0.8-2
- Update to new source URL

* Wed Jun 9 2010 Peter Robinson <pbrobinson@gmail.com> 0.8-1
- New upstream 0.8 release

* Thu Aug 06 2009 Bastien Nocera <bnocera@redhat.com> 0.7-1
- Update to 0.7

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Bastien Nocera <bnocera@redhat.com> 0.6-9
- Gypsy is supposed to run as a system service, as root

* Wed Mar  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.6-8
- Move docs to noarch, some spec file updates

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-6
- Add gtk-doc build req

* Sat Nov 22 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-5
- Rebuild

* Thu Sep 11 2008 - Bastien Nocera <bnocera@redhat.com> 0.6-4
- Rebuild

* Mon May 15 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-3
- Further spec file cleanups

* Mon Apr 28 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-2
- Some spec file cleanups

* Sat Apr 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-1
- Initial package
